Range-v3: ranges::tokenize_view< Rng, Regex, SubMatchRange > Struct Template Reference

Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::tokenize_view< Rng, Regex, SubMatchRange > Struct Template Reference
Views
Inheritance diagram for ranges::tokenize_view< Rng, Regex, SubMatchRange >:

## Public Member Functions
Rng | base () const
iterator_t< simple_view< Rng >()> | begin ()
template<bool Const = true> requires range<Rng const>
iterator_t< Const > | begin () const
iterator_t< simple_view< Rng >()> | end ()
template<bool Const = true> requires range<Rng const>
iterator_t< Const > | end () const
| tokenize_view (Rng rng, Regex rex, SubMatchRange subs, std::regex_constants::match_flag_type flags)
Public Member Functions inherited from ranges::view_interface< tokenize_view< Rng, Regex, SubMatchRange >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr auto | empty () const noexcept -> bool
| Test whether a range can be empty:
&&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > const > constexpr bool | empty () const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > >) &&sized_range< D< True > > constexpr bool empty() noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >) &&sized_range< D< True > const > constexpr bool empty() const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > > constexpr bool | empty () noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > const > constexpr | operator bool () const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > > constexpr | operator bool () noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Additional Inherited Members
Protected Types inherited from ranges::view_interface< tokenize_view< Rng, Regex, SubMatchRange >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
using | D = meta::invoke< detail::dependent_< B >, tokenize_view< Rng, Regex, SubMatchRange > >
Protected Member Functions inherited from ranges::view_interface< tokenize_view< Rng, Regex, SubMatchRange >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr tokenize_view< Rng, Regex, SubMatchRange > const & | derived () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr tokenize_view< Rng, Regex, SubMatchRange > & | derived () noexcept